Listenvorlagen
Business+Lesen Sie die im Listen-Baukasten erstellten Listen (Standpersonal, Fahrzeuge usw.) mit allen Feldern, Auswahlwerten und Regeln. So wissen Sie, welche Werte /list-entries annimmt. Felder mit writable = false (Dateifelder) lassen sich nicht über die API setzen.
Nur Lesen
Dieser Endpunkt unterstützt nur GET-Anfragen.
Erforderliche Bereiche:
lists
Feature-Flag:
lists
Endpunkte
GET
/api/v1/list-templates
Listenvorlagen auflisten (standardmäßig nur aktive; is_active=all für alle)
GET
/api/v1/list-templates/{id}
Eine Listenvorlage mit ihren Feldern abrufen
Abfrageparameter
| Parameter | Beschreibung |
|---|---|
parent_entity_type
|
event_participant (Standard), event oder contact |
is_active
|
Standard: nur aktive Einträge; 0 = nur inaktive, all = alle |
Response-Schema
| Feld | Typ |
|---|---|
id
|
integer |
template_key
|
string |
name
|
string |
description
|
string|null |
parent_entity_type
|
string |
category_keys
|
array |
event_keys
|
array |
exhibitor_access
|
string |
min_entries
|
integer |
max_entries
|
integer|null |
is_active
|
boolean |
entry_count
|
integer |
fields
|
array |
Codebeispiele
curl -X GET "https://ihr-mandant.plandocket.com/api/v1/list-templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://ihr-mandant.plandocket.com';
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => $baseUrl . '/api/v1/list-templates',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . $apiKey,
],
]);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://ihr-mandant.plandocket.com';
const response = await fetch(`${baseUrl}/api/v1/list-templates`, {
method: 'GET',
headers: {
'Authorization': `Bearer ${apiKey}`,
},
});
const data = await response.json();
console.log(data);
import requests
api_key = 'YOUR_API_KEY'
base_url = 'https://ihr-mandant.plandocket.com'
headers = {
'Authorization': f'Bearer {api_key}',
}
response = requests.get(f'{base_url}/api/v1/list-templates', headers=headers)
data = response.json()
print(data)
Beispiel-Antwort
200 OK
{
"data": [
{
"id": 1,
"template_key": "string",
"name": "string",
"description": "string",
"parent_entity_type": "string",
"category_keys": [],
"event_keys": [],
"exhibitor_access": "string",
"min_entries": 1,
"max_entries": 1,
"is_active": true,
"entry_count": 1,
"fields": []
}
],
"meta": {
"current_page": 1,
"per_page": 25,
"total": 1,
"total_pages": 1
}
}